## Index

### Classes

- ArrayHelper
- CancelToken

### Interfaces

- IClassOf
- IDisposable
- INameValuePairs
- INameValues
- INativeComponent
- INotifyPropertyChanged
- INotifyPropertyChanging
- IRect
- IUIAtomControl
- IUIElement
- IUMDClass

### Type aliases

- CancelReason
- IAnyInstanceType
- IAtomElement
- PathList

### Variables

- DI
- UMD

## Type aliases

### CancelReason

CancelReason: "cancelled" | "timeout"

- Defined in src/core/types.ts:63

### IAnyInstanceType

IAnyInstanceType<T>: T extends object ? U : any

- Defined in src/core/types.ts:27

#### Type parameters

- #### T

### IAtomElement

IAtomElement: HTMLElement | INativeComponent

- Defined in src/core/types.ts:29

### PathList

PathList: string[]

- Defined in src/core/types.ts:42

## Variables

### Const DI

DI: any = (globalNS).UMD

- Defined in src/core/types.ts:182

### Const UMD

UMD: any = (globalNS).UMD

- Defined in src/core/types.ts:183

Generated using TypeDoc